apt: debReleaseIndex Class Reference

apt 3.2.0 commandline package manager

Public Member Functions | List of all members
debReleaseIndex Class Reference
Inheritance diagram for debReleaseIndex:

## Public Member Functions
APT_HIDDEN std::string | MetaIndexInfo (const char *Type) const
APT_HIDDEN std::string | MetaIndexFile (const char *Types) const
APT_HIDDEN std::string | MetaIndexURI (const char *Type) const
| debReleaseIndex (std::string const &URI, std::string const &Dist, std::map< std::string, std::string > const &Options)
| debReleaseIndex (std::string const &URI, std::string const &Dist, bool const Trusted, std::map< std::string, std::string > const &Options)
std::string | ArchiveURI (std::string const &File) const override
bool | GetIndexes (pkgAcquire *Owner, bool const &GetAll=false) override
std::vector< IndexTarget > | GetIndexTargets () const override
std::string | Describe () const override
pkgCache::RlsFileIterator | FindInCache (pkgCache &Cache, bool ModifyCheck) const override
bool | Merge (pkgCacheGenerator &Gen, OpProgress *Prog) const override
bool | Load (std::string const &Filename, std::string *ErrorText) override
metaIndex * | UnloadedClone () const override
std::vector< pkgIndexFile * > * | GetIndexFiles () override
bool | SetTrusted (TriState const Trusted)
bool | SetCheckValidUntil (TriState const Trusted)
bool | SetValidUntilMin (time_t const Valid)
bool | SetValidUntilMax (time_t const Valid)
bool | SetCheckDate (TriState const CheckDate)
bool | SetDateMaxFuture (time_t const DateMaxFuture)
bool | SetSnapshot (std::string Snapshot)
std::string | GetSnapshotsServer () const
bool | SetSignedBy (std::string const &SignedBy)
std::map< std::string, std::string > | GetReleaseOptions ()
bool | IsTrusted () const override
bool | IsArchitectureSupported (std::string const &arch) const override
bool | IsArchitectureAllSupportedFor (IndexTarget const &target) const override
bool | HasSupportForComponent (std::string const &component) const override
time_t | GetNotBefore () const override APT_PURE
bool | AddComponent (std::string const &sourcesEntry, bool const isSrc, std::string const &Name, std::vector< std::string > const &Targets, std::vector< std::string > const &Architectures, std::vector< std::string > Languages, bool const usePDiffs, std::string const &useByHash, std::optional< std::vector< std::string > > const &include, std::optional< std::vector< std::string > > const &exclude)
Public Member Functions inherited from metaIndex
std::string | GetURI () const
std::string | GetDist () const
const char * | GetType () const
TriState | GetTrusted () const
std::string | GetSignedBy () const
std::string | GetOrigin () const
std::string | GetLabel () const
std::string | GetVersion () const
std::string | GetCodename () const
std::string | GetSuite () const
std::string | GetReleaseNotes () const
signed short | GetDefaultPin () const
bool | GetSupportsAcquireByHash () const
time_t | GetValidUntil () const
time_t | GetDate () const
void | SetFlag (Flag flag) APT_HIDDEN
std::string | GetExpectedDist () const
bool | CheckDist (std::string const &MaybeDist) const
bool | Load (std::string *const ErrorText)
void | swapLoad (metaIndex *const OldMetaIndex)
checkSum * | Lookup (std::string const &MetaKey) const
bool | Exists (std::string const &MetaKey) const
| tests if a checksum for this file is available
std::vector< std::string > | MetaKeys () const
TriState | GetLoadedSuccessfully () const
| metaIndex (std::string const &URI, std::string const &Dist, char const *const Type)

## Additional Inherited Members
Protected Attributes inherited from metaIndex
std::vector< pkgIndexFile * > * | Indexes
const char * | Type
std::string | URI
std::string | Dist
TriState | Trusted
std::string | SignedBy
std::string | Suite
std::string | Codename
std::string | Origin
std::string | Label
std::string | Version
signed short | DefaultPin
std::string | ReleaseNotes
time_t | Date
time_t | ValidUntil
bool | SupportsAcquireByHash
std::map< std::string, checkSum * > | Entries
TriState | LoadedSuccessfully

## Member Function Documentation

## ◆ ArchiveURI()

std::string ArchiveURI | ( | std::string const & | File | ) | const
| nodiscardoverridevirtual

Implements metaIndex.

## ◆ Describe()

std::string Describe | ( |  | ) | const
| nodiscardoverridevirtual

Reimplemented from metaIndex.

## ◆ FindInCache()

pkgCache::RlsFileIterator FindInCache | ( | pkgCache & | Cache,
|  | bool | ModifyCheck ) const
| overridevirtual

Reimplemented from metaIndex.

## ◆ GetIndexes()

bool GetIndexes | ( | pkgAcquire * | Owner,
|  | bool const & | GetAll = false )
| overridevirtual

Implements metaIndex.

## ◆ GetIndexFiles()

std::vector< pkgIndexFile * > * GetIndexFiles | ( |  | ) |
| overridevirtual

Implements metaIndex.

## ◆ GetIndexTargets()

std::vector< IndexTarget > GetIndexTargets | ( |  | ) | const
| nodiscardoverridevirtual

Implements metaIndex.

## ◆ GetNotBefore()

time_t GetNotBefore | ( |  | ) | const
| nodiscardoverridevirtual

Implements metaIndex.

## ◆ HasSupportForComponent()

bool HasSupportForComponent | ( | std::string const & | component | ) | const
| nodiscardoverridevirtual

Reimplemented from metaIndex.

## ◆ IsArchitectureAllSupportedFor()

bool IsArchitectureAllSupportedFor | ( | IndexTarget const & | target | ) | const
| nodiscardoverridevirtual

Reimplemented from metaIndex.

## ◆ IsArchitectureSupported()

bool IsArchitectureSupported | ( | std::string const & | arch | ) | const
| nodiscardoverridevirtual

Reimplemented from metaIndex.

## ◆ IsTrusted()

bool IsTrusted | ( |  | ) | const
| nodiscardoverridevirtual

Implements metaIndex.

## ◆ Load()

bool Load | ( | std::string const & | Filename,
|  | std::string * | ErrorText )
| overridevirtual

Todo
  find better tag name

Implements metaIndex.

References pkgCache::Flag::ButAutomaticUpgrades, HashStringList::FileSize(), pkgCache::ReleaseFile::Flags, and pkgCache::Flag::NotAutomatic.

## ◆ Merge()

bool Merge | ( | pkgCacheGenerator & | Gen,
|  | OpProgress * | Prog ) const
| overridevirtual

Reimplemented from metaIndex.

## ◆ UnloadedClone()

metaIndex * UnloadedClone | ( |  | ) | const
| nodiscardoverridevirtual

Returns
  a new metaIndex object based on this one, but without information from Load

Implements metaIndex.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debmetaindex.h
- apt-pkg/deb/debmetaindex.cc